Bug 139097 - RFE: Please add udev support for dvb devices
RFE: Please add udev support for dvb devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-12 16:47 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 03:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2004-11-12 16:47:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Right now udev does not create device nodes for DVB devices. Mandrake
already seems to have support for these devices. Please have a look at:

ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/Mandrakelinux/devel/cooker/cooker/media/main/udev-030-24mdk.i586.rpm

The rpm includes these files:
/etc/udev/permissions.d/00-udev.permissions
/etc/udev/rules.d/06-dvb.rules
/etc/udev/scripts/dvb.sh 

I already integrated these changes on my FC3 systems and the DVB
devices are now successfully created and DVB support is working.

The only remaining issue that there are still some warnings in
/var/log/messages:

Nov 12 22:21:04 deanna wait_for_sysfs[4124]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/class/dvb/dvb0.frontend0' properly (no device symlink) or the
sysfs-support of your device's driver needs to be fixed, please report
to <linux-hotplug-devel@lists.sourceforge.net>
Nov 12 22:21:04 deanna wait_for_sysfs[4126]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/class/dvb/dvb0.demux0' properly (no device
symlink) or the sysfs-support of your device's driver needs to be
fixed, please
report to <linux-hotplug-devel@lists.sourceforge.net>
Nov 12 22:21:04 deanna wait_for_sysfs[4128]: either wait_for_sysfs
(udev 039) needs an update to handle the device '/class/dvb/dvb0.dvr0'
properly (no device symlink) or the sysfs-support of your device's
driver needs to be fixed, please report to
<linux-hotplug-devel@lists.sourceforge.net>
Nov 12 22:21:04 deanna wait_for_sysfs[4130]: either wait_for_sysfs
(udev 039) needs an update to handle the device '/class/dvb/dvb0.net0'
properly (no device symlink) or the sysfs-support of your device's
driver needs to be fixed, please report to
<linux-hotplug-devel@lists.sourceforge.net>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to use dvb devices
2.
3.
    

Additional info:
Comment 1 Thomas Spitzmann 2004-11-15 16:47:03 EST
Adding the three files does not solve the problem. UDEV still does not
create device nodes for DVB card (SkyStar2).
Comment 2 Harald Hoyer 2004-11-16 09:51:13 EST
well, then the kernel modules have to provide the correct /sys files..
Comment 3 Bernd Bartmann 2004-11-16 11:42:04 EST
Here is how I solved the problem:

Add this to /etc/udev/permissions.d/50-udev.permissions:
#-------------------------------
# DVB devices
dvb/*:$local:video:0660
dvb:$local:video:0660
dvb/adapter*:$local:video:0660

Create a new file /etc/udev/rules.d/06-dvd.rules containing:
KERNEL="dvb*", PROGRAM="/etc/udev/scripts/dvb.sh %k", NAME="%c"

Create a new file /etc/udev/scripts/dvb.sh containing:
#!/bin/sh
/bin/echo $1 | /bin/sed -e
's,dvb\([0-9]\)\.\([^0-9]*\)\([0-9]\),dvb/adapter\1/\2\3,'

make dvb.sh executable using chmod 755 dvb.sh
Comment 4 Brian Johnson 2004-11-24 15:45:15 EST
I did this and cannot get my Twinhan VP 1020A DVB-S card to work.  

The /dev/dvb entries are not created automatically and modprobe
dvb_bt8xx shows (in dmesg) that bttv is loaded and senses the card but
dvb_bt8xx does not sense the frontend.

This card worked in fc2 with the same modprobe after manually creating
the /dev/dvb entries.
Comment 5 Toni Willberg 2004-12-07 17:09:32 EST
Bernd, after following your instructions, and reloading the bttv
module I got this:

Dec  8 00:02:18 nasu kernel: bttv: using 8 buffers with 2080k (520
pages) each for capture
Dec  8 00:02:18 nasu kernel: bttv: Bt8xx card found (0).
Dec  8 00:02:18 nasu kernel: PCI: Found IRQ 12 for device 0000:00:12.0
Dec  8 00:02:18 nasu kernel: PCI: Sharing IRQ 12 with 0000:00:07.2
Dec  8 00:02:18 nasu kernel: PCI: Sharing IRQ 12 with 0000:00:07.3
Dec  8 00:02:18 nasu kernel: PCI: Sharing IRQ 12 with 0000:00:12.1
Dec  8 00:02:18 nasu kernel: bttv0: Bt878 (rev 17) at 0000:00:12.0,
irq: 12, latency: 32, mmio: 0xdf012000
Dec  8 00:02:18 nasu kernel: bttv0: detected: Twinhan VisionPlus DVB-T
[card=113], PCI subsystem ID is 1822:0001
Dec  8 00:02:18 nasu kernel: bttv0: using: Twinhan DST + clones
[card=113,autodetected]
Dec  8 00:02:18 nasu kernel: bttv0: using tuner=4
Dec  8 00:02:18 nasu kernel: bttv0: add subdevice "dvb0"
Dec  8 00:02:18 nasu wait_for_sysfs[5910]: error: unknown bus, please
report to <linux-hotplug-devel@lists.sourceforge.net> 'bttv-sub'
Dec  8 00:02:18 nasu wait_for_sysfs[5910]: either wait_for_sysfs (udev
039) needs an update to handle the device
'/devices/pci0000:00/0000:00:12.0/dvb0' properly (unknown bus) or the
sysfs-support of your device's driver needs to be fixed, please report
to <linux-hotplug-devel@lists.sourceforge.net>


btw, your instructions tell to use 06-dvd.rules -file, but I'd guess
you ment 06-dvb.rules, right?
Comment 6 Toni Willberg 2004-12-07 17:11:19 EST
btv, my card actually is Twinhan Visionplus DVB-C, not -T model, if
anyone cares ;)

kernel 2.6.9-1.681_FC3
Comment 7 Harald Hoyer 2004-12-08 05:53:22 EST
the wait_for_sysfs warning is not severe... just ignore it...
Comment 8 Harald Hoyer 2004-12-16 09:21:34 EST
dvb support should be included in udev-039-10.FC3.6 which will appear
soon as an update..
Comment 9 Bernd Bartmann 2004-12-17 15:07:13 EST
Thanks, seems to be working find for me now.
Comment 10 Ville Skyttä 2004-12-18 03:44:24 EST
How is this supposed to work?  No /dev/dvb* are created for me
automagically when doing a "modprobe dvb-ttpci", kernel 2.6.9-1.681_FC3.

I have this lump in /etc/modprobe.conf (some of which is surely
unneeded leftover junk from pre-udev setups):

alias char-major-81 dvb-ttpci
alias char-major-212 dvb-ttpci
alias /dev/dvb/* dvb-ttpci
alias /dev/dvb/adapter0/* dvb-ttpci
alias /dev/video* dvb-ttpci
install dvb-ttpci /sbin/modprobe --ignore-install dvb-ttpci ;
/sbin/modprobe budget ; /sbin/modprobe ves1820

This is a Technotrend Budget DVB-C card, and it works fine if I create
the device nodes manually (or have them in /etc/udev/devices).
Comment 11 Harald Hoyer 2004-12-20 05:33:19 EST
maybe depends on the kernel module... sysfs support should be present
in the dvb driver.
Comment 12 Ville Skyttä 2005-01-09 16:07:21 EST
After upgrading to kernel-2.6.10-1.727_FC3, something got created; a
character device *as* /dev/dvb, not a /dev/dvb directory nor obviously
anything in it.  I did not bother to look into it more closely, but
upgraded to udev-048-4 from rawhide and things work as they should now.
Comment 13 Bernd Bartmann 2005-01-11 12:15:24 EST
Interesting, when booting the new update kernel-2.6.10-1.737_FC3 this
also happens on my system. Indeed upgrading to udev-048-4 fixed the
problem for me too. Time for an official FC3 udev update?
Comment 14 Harald Hoyer 2005-01-14 09:46:26 EST
hmm, newest FC3 udev has rules for DVB... anyone had success with it?
Comment 15 Bernd Bartmann 2005-01-14 09:55:44 EST
As already stated above the latest official FC3 udev errata is not
enough. You need at least udev-048-4 or higher from rawhide.

For me DVB now works with udev-048-4 and kernel-2.6.10-1.737_FC3 or
kernel-2.6.10-1.741_FC3 using an old Hauppauge WinTV NOVA-T DVB-T card
(tda1004x frontend) and a Terratec Cinergy DVB-C card.
Comment 16 Th. Peters 2005-02-15 16:21:23 EST
Edit the /etc/udev/udev.rules/50-udev.rules and insert this line before "#old
compat symlinks...":

KERNEL="dvb"  Name="dvb0"

Then it works for me. (with udev-039-10.FC3.6 + SkyStar2 +
Kernel-smp-2.6.10-1.766.FC3). 
Comment 17 Joe Orton 2005-06-14 08:15:34 EDT
WORKSFORME with two different DVB-T cards on current FC3+updates.

[root@bungle ~]# rpm -q kernel udev
kernel-2.6.11-1.27_FC3
udev-039-10.FC3.7
[root@bungle ~]# tree /dev/dvb/
/dev/dvb/
|-- adapter0
|   |-- demux0
|   |-- dvr0
|   |-- frontend0
|   `-- net0
`-- adapter1
    |-- demux0
    |-- dvr0
    |-- frontend0
    `-- net0

2 directories, 8 files
Comment 18 Daniel Roesen 2005-12-16 12:15:33 EST
(In reply to comment #2)
> well, then the kernel modules have to provide the correct /sys files..

Can you tell me what files those are? I'm trying to get a DVB card working on an
up-to-date FC4 system here, but the DVB devices aren't being created. I see the
DVB modules in /sys/module, but nothing in /sys/class/dvb, if that's relevant.

[root@thinko sys]# lsmod | fgrep dvb
saa7134_dvb             8389  0
mt352                   6597  1 saa7134_dvb
video_buf_dvb           6853  1 saa7134_dvb
dvb_core               80745  1 video_buf_dvb
tda1004x               14789  1 saa7134_dvb
saa7134               113941  1 saa7134_dvb
video_buf              21957  3 saa7134_dvb,video_buf_dvb,saa7134
i2c_core               22081  6 saa7134_dvb,mt352,tda1004x,tuner,saa7134,i2c_i801
Comment 19 Marius Andreiana 2006-04-09 02:17:25 EDT
Should regular TV Tuners (PCI) also have /dev/dvb/ devices? Mine doesn't (nor
/dev/video0) on FC5 and it used to work on FC4.
Comment 20 Matthew Miller 2006-07-10 18:19:46 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.